#
# spec file for package mp3blast (Version 3.0p8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp libogg libogg-devel libvorbis libvorbis-devel sidplay
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libogg libogg-devel libtool libvorbis libvorbis-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow sidplay strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         mp3blast
Copyright:    Bram Avontuur
Group:        Applications/Multimedia
Provides:     mp3blaster 
Autoreqprov:  on
Version:      3.0p8
Release:      36
Summary:      MP3 player for terminals
Source:  mp3blaster-%{version}.tar.bz2
Patch:   mp3blaster-%{version}.dif

%description
mp3blaster is a full-featured MP3 player for all you guys not liking
graphical user interfaces.

Authors:
--------
    Bram Avontuur <brama@stack.nl>

SuSE series: snd

%prep
%setup -n mp3blaster-%{version}
%patch

%build
%ifarch ppc sparc sparc64 s390
autoconf
%endif
./configure --prefix=/usr --mandir=%{_mandir}
make

%install
make install

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO BUGS CREDITS FAQ
%doc /usr/share/man/man1/mp3blaster.1.gz
%doc /usr/share/man/man1/nmixer.1.gz
%doc /usr/share/man/man1/splay.1.gz
/usr/bin/mp3blaster
/usr/bin/nmixer
/usr/share/mp3blaster
/usr/bin/mp3tag
/usr/bin/splay

%changelog -n mp3blast
* Tue Jul 24 2001 - uli@suse.de
- update -> 3.0p8
* Wed Apr 11 2001 - uli@suse.de
- update -> 3.0p7
* Thu Mar 29 2001 - uli@suse.de
- fixed for gcc >2.95
* Wed Feb 07 2001 - uli@suse.de
- update -> 3.0p6
* Mon Dec 11 2000 - uli@suse.de
- update -> 3.0p2
* Wed Sep 06 2000 - uli@suse.de
- update -> 2.0b17
- no longer produces a kernel panic when used with dmasound driver
  on PPC (Bug #2936)
* Wed Feb 02 2000 - uli@suse.de
- fixed(?) obviously untested Big-Endian-specific code
* Tue Feb 01 2000 - ro@suse.de
- fix compilation
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 10 1999 - uli@suse.de
- fixed typo preventing compilation on Big Endian systems
* Thu Mar 25 1999 - uli@suse.de
- new package, version 2.0b6
